/* ======= Base ======= */
body {
    font-family: 'Roboto', sans-serif;
    color: $text-color-secondary;
    background: $smoky-white;
    font-size: 14px;
    padding: 20px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

h1, h2, h3, h4, h5, h6  {
    font-weight: 700;
}

a {
    color: darken($theme-color, 15%);
    &:hover {
        text-decoration: underline;
        color: darken($theme-color, 30%);
    }
    &:focus {
        text-decoration: none;
    }
}

p {
    line-height: 1.5;
}

.wrapper {
    background:$theme-color;
    max-width: 1000px;
    margin: 0 auto;
    position: relative;
    @include box-shadow(0px 2px 4px rgba(0,0,0,0.1));
}

.sidebar-wrapper {
    background: $theme-color;
    position: absolute;
    left: 0;
    width: 280px;
    height: 100%;
    min-height: 800px;
    color: #fff;
    a {
        color: #fff;
    }
    .profile-container {
        padding: 20px;
        //background: darken($theme-color, 10%);
        background: rgba(0, 0, 0, 0.2);
        text-align: center;
        color: #fff;
    }
    .name {
        font-size: 32px;
        font-weight: 900;
        margin-top: 0;
        margin-bottom: 10px;
    }
    .tagline {
        color: rgba(256, 256, 256, 0.6);
        font-size: 16px;
        font-weight: 400;
        margin-top: 0;
        margin-bottom: 0;
    }
    .profile {
        margin-bottom: 10px;
    }

    .avatar {
        //used for profile image
        max-width: 200px;
        margin-bottom: 10px;
        border: 0px solid #fff;
        border-radius: 100%;
        box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
    }
    .contact-list {
        .fas, .fab {
            margin-right: 5px;
            font-size: 18px;
            vertical-align: middle;
        }
        li {
            margin-bottom: 10px;
            &:last-child {
                margin-bottom: 0;
            }
        }
    }
    .container-block {
        padding-top: 10px;
        padding-bottom: 10px;
        padding-left: 20px;
        padding-right: 20px;
    }
    .container-block-title {
        text-transform: uppercase;
        font-size: 16px;
        font-weight: 700;
        margin-top: 0;
        margin-bottom: 10px;
    }
    .degree {
        font-size: 16px;
        margin-top: 0;
        margin-bottom: 5px;
    }
    .education-container {
        .item {
            margin-bottom: 10px;
            &:last-child {
                margin-bottom: 0;
            }
        }
        .meta {
            color: rgba(256, 256, 256, 0.6);
            font-size: 14px;
            margin-bottom: 0px;
            margin-top: 0;
        }
        .time {
            color: rgba(256, 256, 256, 0.6);
            font-weight: 500;
            margin-bottom: 0px;
        }
    }
    .languages-container, .education-container {
        .lang-desc {
            color: rgba(256, 256, 256, 0.6);
        }
    }

    .languages-list {
        margin-bottom: 0;
        li {
            margin-bottom: 10px;
            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    .interests-list {
        margin-bottom: 0;
        li {
            margin-bottom: 10px;
            &:last-child {
                margin-bottom: 0;
            }
        }
    }
}

.main-wrapper {
    background: #fff;
    padding: 30px;
    padding-left: 310px;
    text-align: justify;
    .section-title {
        text-transform: uppercase;
        font-size: 20px;
        font-weight: 500;
        color: darken($theme-color, 15%);
        position: relative;
        margin-top: 0;
        margin-bottom: 20px;
    }
    .section {
        margin-bottom: 30px;
    }

    .experiences-section, .educations-section {
        .item {
            margin-bottom: 20px;
        }
    }
    .upper-row {
        position: relative;
        overflow: hidden;
        margin-bottom: 2px;
    }
    .job-title, .degree {
        color: $text-color;
        font-size: 16px;
        margin-top: 0;
        margin-bottom: 0;
        font-weight: 500;
    }
    .time {
        position: absolute;
        right: 0;
        top: 0;
        margin-bottom: 10px;
        color: $text-grey;
    }
    .company, .university {
        color: $theme-color;
    }

    .university {
        margin-bottom: 10px;
    }

    .project-title {
        font-size: 16px;
        font-weight: 400;
        margin-top: 0;
        margin-bottom: 5px;
	    color: darken($theme-color, 15%);
    }
    .projects-section {
        .intro {
            margin-bottom: 30px;
        }
        .item {
            margin-bottom: 15px;
        }
    }

    .publication-title {
        font-size: 16px;
        font-weight: 400;
        color: $text-color;
        margin-bottom: 1px;
    }
    .publication-authors {
        font-style: italic;
        color: $text-grey;
        margin-bottom: 1px;
    }
    .publications-section {
        .intro {
            margin-bottom: 30px;
        }
        .item {
            margin-bottom: 15px;
        }
        .fa-ul {
            margin-left: 2.2em;
        }
    }
}


.skillset {
    .area {
        margin-bottom: 10px;
        background: $smoky-white;
        overflow: hidden;
    }
    .area-title {
        font-size: 14px;
        color: $text-color;
        margin-bottom: 12px;
        padding: 15px;
    }
    .skill-details {
        padding-top: 10px;
        //text-transform: capitalize;
    }
}




.footer {
    padding-top: 30px;
    .copyright {
        line-height: 1.6;
        color: $text-color-secondary;
        font-size: 13px;
    }

    .fa-heart {
        color: $heart;
    }

}
